<?php
/**
 * Redirection d'URL externes depuis l'administration.
 *
 * @license http://www.gnu.org/licenses/gpl.html
 * @link http://www.igalerie.org/
 */

require_once(__DIR__ . '/includes/prepend.php');

// Vérification de l'URL.
if (!isset($_GET['q']) || !preg_match('`^' . Utility::URLRegexp() . '$`i', $_GET['q']))
{
	goto not_allowed;
}
$_GET['q'] = htmlspecialchars($_GET['q']);

// Vérification de la session.
if (!DB::connect() || ($session_id = Auth::getCookieSessionId()) === FALSE)
{
	goto not_allowed;
}
$sql = "SELECT COUNT(*)
		  FROM {sessions} AS s,
			   {groups} AS g,
			   {users} AS u
		 WHERE u.user_id = s.user_id
		   AND u.group_id = g.group_id
		   AND user_status = '1'
		   AND session_id = ?
		   AND session_expire > NOW()
		   AND group_admin = '1'";
if (!DB::execute($sql, $session_id) || DB::fetchVal() != 1)
{
	not_allowed:
	die('You are not allowed here.');
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<title><?php printf('Redirection: %s', $_GET['q']); ?></title>
<meta charset="utf-8">
<meta http-equiv="Refresh" content="0; url=<?php echo $_GET['q']; ?>">
</head>
<body><a href="<?php echo $_GET['q']; ?>"><?php echo $_GET['q']; ?></a></body>
</html>